package com.brilliance.isc.swift.objmtconvert.model.mx.common;

import com.brilliance.isc.swift.objmtconvert.ext.XmlDate;
import com.brilliance.isc.swift.objmtconvert.util.DateUtil;
import lombok.Data;

import java.util.Date;

/**
 * @Description 日期
 * @Author s_guodong
 * @Date 2023/4/21
 */
@Data
public class Dt {
    /**
     * 日期
     */
    private String dt;

    /**
     * 日期时间
     */
    private String dtTm;

    /**
     * 浮动的天数
     */
    private String nbOfDays;

    /**
     * 实际开始的日期
     */
    private String actlDt;

    public void setDt(Date dt) {
        this.dt = DateUtil.format(dt,"yyyy-MM-dd");;
    }

    public void setDtTm(XmlDate dtTm) {
        this.dtTm = dtTm.getDateStr();
    }
}
